#ifndef CMDIO_H
#define CMDIO_H

#include <stdio.h>

typedef struct _cmdio_t cmdio_t;

#ifdef __cplusplus
extern "C" {
#endif

cmdio_t *cmdio_open(const char *devfile);
int cmdio_execute(
        cmdio_t *p,
        const char *send,
        char *recv,
        size_t recv_bufsiz);
int cmdio_close(cmdio_t *p);

#ifdef __cplusplus
}
#endif

#endif

